> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beltic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit Events



## OpenAPI

````yaml GET /v1/audit/events
openapi: 3.1.0
info:
  title: Beltic Credentials API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/audit/events:
    get:
      tags:
        - Audit
      summary: List audit events for the authenticated org
      parameters:
        - schema:
            type: string
          required: false
          name: credential_id
          in: query
        - schema:
            type: string
            enum:
              - credential.issued
              - credential.verified
              - credential.revoked
              - credential.deleted
              - credential.presented
              - credential.presentation_accepted
              - credential.presentation_rejected
              - credential.suspended
              - credential.reactivated
          required: false
          name: event_type
          in: query
        - schema:
            type: string
            enum:
              - success
              - denied
              - error
          required: false
          name: outcome
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: from
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: to
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: intervention_required
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: Paginated audit event list
          content:
            application/json:
              schema:
                type: object
                properties:
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        seq_num:
                          type: string
                        event_type:
                          type: string
                        credential_id:
                          type:
                            - string
                            - 'null'
                        credential_type:
                          type: string
                        attestation_type:
                          type:
                            - string
                            - 'null'
                        actor_type:
                          type: string
                        subject_type:
                          type: string
                        outcome:
                          type: string
                        outcome_reason:
                          type:
                            - string
                            - 'null'
                        intervention_required:
                          type: boolean
                        timestamp:
                          type: string
                          format: date-time
                        duration_ms:
                          type:
                            - number
                            - 'null'
                        source_ip:
                          type:
                            - string
                            - 'null'
                        user_agent:
                          type:
                            - string
                            - 'null'
                        external_verifier_id:
                          type:
                            - string
                            - 'null'
                        external_transaction_ref:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - seq_num
                        - event_type
                        - credential_id
                        - credential_type
                        - attestation_type
                        - actor_type
                        - subject_type
                        - outcome
                        - outcome_reason
                        - intervention_required
                        - timestamp
                        - duration_ms
                        - source_ip
                        - user_agent
                        - external_verifier_id
                        - external_transaction_ref
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - events
                  - next_cursor

````